INTERFACE
SUBROUTINE ESRLXT1AD(KGALEF,PALFA,PGM,PGT3GMV,PGT3GMVS,PGT3GFL,PGT1GMV,&
 & PGT1GMVS,PGT1GFL) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YEMGT3B , ONLY : NEDLST
USE YEMDYN , ONLY : NDIMCPL
USE YOMGMV , ONLY : YT0
INTEGER(KIND=JPIM),INTENT(IN) :: KGALEF
REAL(KIND=JPRB) ,INTENT(IN) :: PALFA(NEDLST,KGALEF)
REAL(KIND=JPRB) :: PGM(NEDLST)
REAL(KIND=JPRB) :: PGT3GMV(NEDLST,NFLEVG,YT0%NDIM)
REAL(KIND=JPRB) :: PGT3GMVS(NEDLST,YT0%NDIMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGT3GFL(NEDLST,NFLEVG,NDIMCPL)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGT1GMV(NEDLST,NFLEVG,YT0%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGT1GMVS(NEDLST,YT0%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGT1GFL(NEDLST,NFLEVG,NDIMCPL)
END SUBROUTINE ESRLXT1AD
END INTERFACE
